org.apache.xerces.impl.io

## Class MalformedByteSequenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.CharConversionException
        - - org.apache.xerces.impl.io.MalformedByteSequenceException

All Implemented Interfaces:
  java.io.Serializable

    public final class MalformedByteSequenceException
    extends java.io.CharConversionException

Signals that a malformed byte sequence was detected by a `java.io.Reader` that decodes bytes of a given encoding into characters.

Version:
  $Id: MalformedByteSequenceException.java 718095 2008-11-16 20:00:14Z mrglavas $
Author:
  Michael Glavassevich, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`MalformedByteSequenceException(MessageFormatter formatter, java.util.Locale locale, java.lang.String domain, java.lang.String key, java.lang.Object[] arguments)` Constructs a MalformedByteSequenceException with the given parameters which may be passed to an error reporter to generate a localized string for this exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getArguments()` Returns the replacement arguments for the error message or `null` if none exist.
`java.lang.String` `getDomain()` Returns the error domain of the error message.
`java.lang.String` `getKey()` Returns the key of the error message.
`java.lang.String` `getMessage()` Returns the localized message for this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MalformedByteSequenceException

    public MalformedByteSequenceException(MessageFormatter formatter,
                                          java.util.Locale locale,
                                          java.lang.String domain,
                                          java.lang.String key,
                                          java.lang.Object[] arguments)

Constructs a MalformedByteSequenceException with the given parameters which may be passed to an error reporter to generate a localized string for this exception.

Parameters:
  `formatter` - The MessageFormatter used for building the message text for this exception.
  `locale` - The Locale for which messages are to be reported.
  `domain` - The error domain.
  `key` - The key of the error message.
  `arguments` - The replacement arguments for the error message, if needed.

### Method Detail

#### getDomain

    public java.lang.String getDomain()

Returns the error domain of the error message.

Returns:
  the error domain

#### getKey

    public java.lang.String getKey()

Returns the key of the error message.

Returns:
  the error key of the error message

#### getArguments

    public java.lang.Object[] getArguments()

Returns the replacement arguments for the error message or `null` if none exist.

Returns:
  the replacement arguments for the error message or `null` if none exist

#### getMessage

    public java.lang.String getMessage()

Returns the localized message for this exception.

Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  the localized message for this exception.